GET v1/enterprise/personaldrivers?pageNumber={pageNumber}&modifiedStartDate={modifiedStartDate}&modifiedEndDate={modifiedEndDate}&pageSize={pageSize}

Gets personal vehicle driver details for all policies whose last-modified timestamp falls within the supplied date range, ordered by tenant Id.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pageNumber

1-based page number (must be > 0).

integer

Required

modifiedStartDate

Inclusive start date of the last-modified window.

date

Required

modifiedEndDate

Inclusive end date of the last-modified window.

date

Required

pageSize

Records per page — defaults to 100, maximum 1000.

integer

Default value is 100

Body Parameters

None.

Response Information

Resource Description

Paginated personal vehicle driver data ordered by tenant Id.

EnterprisePersonalDriversData
NameDescriptionTypeAdditional information
PageNumber

integer

None.

PageSize

integer

None.

TotalItems

integer

None.

TotalPages

integer

None.

Data

Collection of PersonalDriverInfo

None.

Response Formats

application/json, text/json

Sample:
{
  "PageNumber": 1,
  "PageSize": 100,
  "TotalItems": 500,
  "TotalPages": 5,
  "Data": [
    {
      "QQTenantID": 2345,
      "PolicyId": 3434,
      "CustomerId": 5678,
      "DateLastModified": "2026-07-04T18:35:41.4303831+00:00",
      "Drivers": [
        {
          "DriverID": 101,
          "PolicyDetailsID": 2002,
          "FirstName": "John",
          "MiddleName": "A",
          "LastName": "Doe",
          "DOB": "2026-07-04T18:35:41.4303831+00:00",
          "Gender": "Male",
          "MaritalStatus": "Single",
          "LicenseStateCode": "CO",
          "LicenseStatus": "Valid",
          "IsNamedInsured": true,
          "Excluded": false,
          "RequireSR22": "sample string 1",
          "SR22CaseNumber": "sample string 2",
          "MVRPoints": 10,
          "NumberOfIncidentslast7Years": 1,
          "RestrictedLicense": true,
          "LearnersPermit": false,
          "SuspendedLicense": false,
          "DateSuspension": "2026-07-04T18:35:41.4319934+00:00",
          "RelationID": 1,
          "OccupationID": 1,
          "YearsLicensedInState": 1,
          "AgeWhenFirstLicensed": 1,
          "GoodStudentDiscount": "sample string 3",
          "SeniorDiscount": "sample string 4",
          "GroupDiscountAAA": "sample string 5",
          "EducationLevel": "sample string 6",
          "CreditStatus": "sample string 7",
          "ReasonNotAutoInsuranceID": 1,
          "RecentInsuranceCarrierID": 1,
          "MonthsRecentInsuranceCarrier": 1,
          "RecentPolicyExpirationDate": "2026-07-04T18:35:41.4319934+00:00",
          "RecentBI": "sample string 8",
          "ContinuosInsuranceLess31Days": "yes",
          "MonthsContinuosCoverageWithoutLapse": 1,
          "NumberLapsesInMostRecent12Months": 1,
          "CompletedDriverTrainingInLast3Years": "Yes",
          "CompletionDateAccidentPrevention": "2026-07-04T18:35:41.4319934+00:00",
          "ActiveOrRetiredFromMilitary": "Active",
          "CoverageCancelledNonRenewedDeclinedLast3Years": "sample string 9",
          "PhoneNumbers": "123-456-7890",
          "EmailAddresses": "sample string 10"
        },
        {
          "DriverID": 101,
          "PolicyDetailsID": 2002,
          "FirstName": "John",
          "MiddleName": "A",
          "LastName": "Doe",
          "DOB": "2026-07-04T18:35:41.4303831+00:00",
          "Gender": "Male",
          "MaritalStatus": "Single",
          "LicenseStateCode": "CO",
          "LicenseStatus": "Valid",
          "IsNamedInsured": true,
          "Excluded": false,
          "RequireSR22": "sample string 1",
          "SR22CaseNumber": "sample string 2",
          "MVRPoints": 10,
          "NumberOfIncidentslast7Years": 1,
          "RestrictedLicense": true,
          "LearnersPermit": false,
          "SuspendedLicense": false,
          "DateSuspension": "2026-07-04T18:35:41.4319934+00:00",
          "RelationID": 1,
          "OccupationID": 1,
          "YearsLicensedInState": 1,
          "AgeWhenFirstLicensed": 1,
          "GoodStudentDiscount": "sample string 3",
          "SeniorDiscount": "sample string 4",
          "GroupDiscountAAA": "sample string 5",
          "EducationLevel": "sample string 6",
          "CreditStatus": "sample string 7",
          "ReasonNotAutoInsuranceID": 1,
          "RecentInsuranceCarrierID": 1,
          "MonthsRecentInsuranceCarrier": 1,
          "RecentPolicyExpirationDate": "2026-07-04T18:35:41.4319934+00:00",
          "RecentBI": "sample string 8",
          "ContinuosInsuranceLess31Days": "yes",
          "MonthsContinuosCoverageWithoutLapse": 1,
          "NumberLapsesInMostRecent12Months": 1,
          "CompletedDriverTrainingInLast3Years": "Yes",
          "CompletionDateAccidentPrevention": "2026-07-04T18:35:41.4319934+00:00",
          "ActiveOrRetiredFromMilitary": "Active",
          "CoverageCancelledNonRenewedDeclinedLast3Years": "sample string 9",
          "PhoneNumbers": "123-456-7890",
          "EmailAddresses": "sample string 10"
        }
      ]
    },
    {
      "QQTenantID": 2345,
      "PolicyId": 3434,
      "CustomerId": 5678,
      "DateLastModified": "2026-07-04T18:35:41.4303831+00:00",
      "Drivers": [
        {
          "DriverID": 101,
          "PolicyDetailsID": 2002,
          "FirstName": "John",
          "MiddleName": "A",
          "LastName": "Doe",
          "DOB": "2026-07-04T18:35:41.4303831+00:00",
          "Gender": "Male",
          "MaritalStatus": "Single",
          "LicenseStateCode": "CO",
          "LicenseStatus": "Valid",
          "IsNamedInsured": true,
          "Excluded": false,
          "RequireSR22": "sample string 1",
          "SR22CaseNumber": "sample string 2",
          "MVRPoints": 10,
          "NumberOfIncidentslast7Years": 1,
          "RestrictedLicense": true,
          "LearnersPermit": false,
          "SuspendedLicense": false,
          "DateSuspension": "2026-07-04T18:35:41.4319934+00:00",
          "RelationID": 1,
          "OccupationID": 1,
          "YearsLicensedInState": 1,
          "AgeWhenFirstLicensed": 1,
          "GoodStudentDiscount": "sample string 3",
          "SeniorDiscount": "sample string 4",
          "GroupDiscountAAA": "sample string 5",
          "EducationLevel": "sample string 6",
          "CreditStatus": "sample string 7",
          "ReasonNotAutoInsuranceID": 1,
          "RecentInsuranceCarrierID": 1,
          "MonthsRecentInsuranceCarrier": 1,
          "RecentPolicyExpirationDate": "2026-07-04T18:35:41.4319934+00:00",
          "RecentBI": "sample string 8",
          "ContinuosInsuranceLess31Days": "yes",
          "MonthsContinuosCoverageWithoutLapse": 1,
          "NumberLapsesInMostRecent12Months": 1,
          "CompletedDriverTrainingInLast3Years": "Yes",
          "CompletionDateAccidentPrevention": "2026-07-04T18:35:41.4319934+00:00",
          "ActiveOrRetiredFromMilitary": "Active",
          "CoverageCancelledNonRenewedDeclinedLast3Years": "sample string 9",
          "PhoneNumbers": "123-456-7890",
          "EmailAddresses": "sample string 10"
        },
        {
          "DriverID": 101,
          "PolicyDetailsID": 2002,
          "FirstName": "John",
          "MiddleName": "A",
          "LastName": "Doe",
          "DOB": "2026-07-04T18:35:41.4303831+00:00",
          "Gender": "Male",
          "MaritalStatus": "Single",
          "LicenseStateCode": "CO",
          "LicenseStatus": "Valid",
          "IsNamedInsured": true,
          "Excluded": false,
          "RequireSR22": "sample string 1",
          "SR22CaseNumber": "sample string 2",
          "MVRPoints": 10,
          "NumberOfIncidentslast7Years": 1,
          "RestrictedLicense": true,
          "LearnersPermit": false,
          "SuspendedLicense": false,
          "DateSuspension": "2026-07-04T18:35:41.4319934+00:00",
          "RelationID": 1,
          "OccupationID": 1,
          "YearsLicensedInState": 1,
          "AgeWhenFirstLicensed": 1,
          "GoodStudentDiscount": "sample string 3",
          "SeniorDiscount": "sample string 4",
          "GroupDiscountAAA": "sample string 5",
          "EducationLevel": "sample string 6",
          "CreditStatus": "sample string 7",
          "ReasonNotAutoInsuranceID": 1,
          "RecentInsuranceCarrierID": 1,
          "MonthsRecentInsuranceCarrier": 1,
          "RecentPolicyExpirationDate": "2026-07-04T18:35:41.4319934+00:00",
          "RecentBI": "sample string 8",
          "ContinuosInsuranceLess31Days": "yes",
          "MonthsContinuosCoverageWithoutLapse": 1,
          "NumberLapsesInMostRecent12Months": 1,
          "CompletedDriverTrainingInLast3Years": "Yes",
          "CompletionDateAccidentPrevention": "2026-07-04T18:35:41.4319934+00:00",
          "ActiveOrRetiredFromMilitary": "Active",
          "CoverageCancelledNonRenewedDeclinedLast3Years": "sample string 9",
          "PhoneNumbers": "123-456-7890",
          "EmailAddresses": "sample string 10"
        }
      ]
    }
  ]
}

application/xml, text/xml

Sample:
<EnterprisePersonalDriversData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/QQSolutions.NextGen.ModelLibrary.DataTransferObjects.EnterpriseModels">
  <Data>
    <PersonalDriverInfo>
      <CustomerId>5678</CustomerId>
      <DateLastModified>2026-07-04T18:35:41.4303831+00:00</DateLastModified>
      <Drivers>
        <PersonalDriversDetails>
          <ActiveOrRetiredFromMilitary>Active</ActiveOrRetiredFromMilitary>
          <AgeWhenFirstLicensed>1</AgeWhenFirstLicensed>
          <CompletedDriverTrainingInLast3Years>Yes</CompletedDriverTrainingInLast3Years>
          <CompletionDateAccidentPrevention>2026-07-04T18:35:41.4319934+00:00</CompletionDateAccidentPrevention>
          <ContinuosInsuranceLess31Days>yes</ContinuosInsuranceLess31Days>
          <CoverageCancelledNonRenewedDeclinedLast3Years>sample string 9</CoverageCancelledNonRenewedDeclinedLast3Years>
          <CreditStatus>sample string 7</CreditStatus>
          <DOB>2026-07-04T18:35:41.4303831+00:00</DOB>
          <DateSuspension>2026-07-04T18:35:41.4319934+00:00</DateSuspension>
          <DriverID>101</DriverID>
          <EducationLevel>sample string 6</EducationLevel>
          <EmailAddresses>sample string 10</EmailAddresses>
          <Excluded>false</Excluded>
          <FirstName>John</FirstName>
          <Gender>Male</Gender>
          <GoodStudentDiscount>sample string 3</GoodStudentDiscount>
          <GroupDiscountAAA>sample string 5</GroupDiscountAAA>
          <IsNamedInsured>true</IsNamedInsured>
          <LastName>Doe</LastName>
          <LearnersPermit>false</LearnersPermit>
          <LicenseStateCode>CO</LicenseStateCode>
          <LicenseStatus>Valid</LicenseStatus>
          <MVRPoints>10</MVRPoints>
          <MaritalStatus>Single</MaritalStatus>
          <MiddleName>A</MiddleName>
          <MonthsContinuosCoverageWithoutLapse>1</MonthsContinuosCoverageWithoutLapse>
          <MonthsRecentInsuranceCarrier>1</MonthsRecentInsuranceCarrier>
          <NumberLapsesInMostRecent12Months>1</NumberLapsesInMostRecent12Months>
          <NumberOfIncidentslast7Years>1</NumberOfIncidentslast7Years>
          <OccupationID>1</OccupationID>
          <PhoneNumbers>123-456-7890</PhoneNumbers>
          <PolicyDetailsID>2002</PolicyDetailsID>
          <ReasonNotAutoInsuranceID>1</ReasonNotAutoInsuranceID>
          <RecentBI>sample string 8</RecentBI>
          <RecentInsuranceCarrierID>1</RecentInsuranceCarrierID>
          <RecentPolicyExpirationDate>2026-07-04T18:35:41.4319934+00:00</RecentPolicyExpirationDate>
          <RelationID>1</RelationID>
          <RequireSR22>sample string 1</RequireSR22>
          <RestrictedLicense>true</RestrictedLicense>
          <SR22CaseNumber>sample string 2</SR22CaseNumber>
          <SeniorDiscount>sample string 4</SeniorDiscount>
          <SuspendedLicense>false</SuspendedLicense>
          <YearsLicensedInState>1</YearsLicensedInState>
        </PersonalDriversDetails>
        <PersonalDriversDetails>
          <ActiveOrRetiredFromMilitary>Active</ActiveOrRetiredFromMilitary>
          <AgeWhenFirstLicensed>1</AgeWhenFirstLicensed>
          <CompletedDriverTrainingInLast3Years>Yes</CompletedDriverTrainingInLast3Years>
          <CompletionDateAccidentPrevention>2026-07-04T18:35:41.4319934+00:00</CompletionDateAccidentPrevention>
          <ContinuosInsuranceLess31Days>yes</ContinuosInsuranceLess31Days>
          <CoverageCancelledNonRenewedDeclinedLast3Years>sample string 9</CoverageCancelledNonRenewedDeclinedLast3Years>
          <CreditStatus>sample string 7</CreditStatus>
          <DOB>2026-07-04T18:35:41.4303831+00:00</DOB>
          <DateSuspension>2026-07-04T18:35:41.4319934+00:00</DateSuspension>
          <DriverID>101</DriverID>
          <EducationLevel>sample string 6</EducationLevel>
          <EmailAddresses>sample string 10</EmailAddresses>
          <Excluded>false</Excluded>
          <FirstName>John</FirstName>
          <Gender>Male</Gender>
          <GoodStudentDiscount>sample string 3</GoodStudentDiscount>
          <GroupDiscountAAA>sample string 5</GroupDiscountAAA>
          <IsNamedInsured>true</IsNamedInsured>
          <LastName>Doe</LastName>
          <LearnersPermit>false</LearnersPermit>
          <LicenseStateCode>CO</LicenseStateCode>
          <LicenseStatus>Valid</LicenseStatus>
          <MVRPoints>10</MVRPoints>
          <MaritalStatus>Single</MaritalStatus>
          <MiddleName>A</MiddleName>
          <MonthsContinuosCoverageWithoutLapse>1</MonthsContinuosCoverageWithoutLapse>
          <MonthsRecentInsuranceCarrier>1</MonthsRecentInsuranceCarrier>
          <NumberLapsesInMostRecent12Months>1</NumberLapsesInMostRecent12Months>
          <NumberOfIncidentslast7Years>1</NumberOfIncidentslast7Years>
          <OccupationID>1</OccupationID>
          <PhoneNumbers>123-456-7890</PhoneNumbers>
          <PolicyDetailsID>2002</PolicyDetailsID>
          <ReasonNotAutoInsuranceID>1</ReasonNotAutoInsuranceID>
          <RecentBI>sample string 8</RecentBI>
          <RecentInsuranceCarrierID>1</RecentInsuranceCarrierID>
          <RecentPolicyExpirationDate>2026-07-04T18:35:41.4319934+00:00</RecentPolicyExpirationDate>
          <RelationID>1</RelationID>
          <RequireSR22>sample string 1</RequireSR22>
          <RestrictedLicense>true</RestrictedLicense>
          <SR22CaseNumber>sample string 2</SR22CaseNumber>
          <SeniorDiscount>sample string 4</SeniorDiscount>
          <SuspendedLicense>false</SuspendedLicense>
          <YearsLicensedInState>1</YearsLicensedInState>
        </PersonalDriversDetails>
      </Drivers>
      <PolicyId>3434</PolicyId>
      <QQTenantID>2345</QQTenantID>
    </PersonalDriverInfo>
    <PersonalDriverInfo>
      <CustomerId>5678</CustomerId>
      <DateLastModified>2026-07-04T18:35:41.4303831+00:00</DateLastModified>
      <Drivers>
        <PersonalDriversDetails>
          <ActiveOrRetiredFromMilitary>Active</ActiveOrRetiredFromMilitary>
          <AgeWhenFirstLicensed>1</AgeWhenFirstLicensed>
          <CompletedDriverTrainingInLast3Years>Yes</CompletedDriverTrainingInLast3Years>
          <CompletionDateAccidentPrevention>2026-07-04T18:35:41.4319934+00:00</CompletionDateAccidentPrevention>
          <ContinuosInsuranceLess31Days>yes</ContinuosInsuranceLess31Days>
          <CoverageCancelledNonRenewedDeclinedLast3Years>sample string 9</CoverageCancelledNonRenewedDeclinedLast3Years>
          <CreditStatus>sample string 7</CreditStatus>
          <DOB>2026-07-04T18:35:41.4303831+00:00</DOB>
          <DateSuspension>2026-07-04T18:35:41.4319934+00:00</DateSuspension>
          <DriverID>101</DriverID>
          <EducationLevel>sample string 6</EducationLevel>
          <EmailAddresses>sample string 10</EmailAddresses>
          <Excluded>false</Excluded>
          <FirstName>John</FirstName>
          <Gender>Male</Gender>
          <GoodStudentDiscount>sample string 3</GoodStudentDiscount>
          <GroupDiscountAAA>sample string 5</GroupDiscountAAA>
          <IsNamedInsured>true</IsNamedInsured>
          <LastName>Doe</LastName>
          <LearnersPermit>false</LearnersPermit>
          <LicenseStateCode>CO</LicenseStateCode>
          <LicenseStatus>Valid</LicenseStatus>
          <MVRPoints>10</MVRPoints>
          <MaritalStatus>Single</MaritalStatus>
          <MiddleName>A</MiddleName>
          <MonthsContinuosCoverageWithoutLapse>1</MonthsContinuosCoverageWithoutLapse>
          <MonthsRecentInsuranceCarrier>1</MonthsRecentInsuranceCarrier>
          <NumberLapsesInMostRecent12Months>1</NumberLapsesInMostRecent12Months>
          <NumberOfIncidentslast7Years>1</NumberOfIncidentslast7Years>
          <OccupationID>1</OccupationID>
          <PhoneNumbers>123-456-7890</PhoneNumbers>
          <PolicyDetailsID>2002</PolicyDetailsID>
          <ReasonNotAutoInsuranceID>1</ReasonNotAutoInsuranceID>
          <RecentBI>sample string 8</RecentBI>
          <RecentInsuranceCarrierID>1</RecentInsuranceCarrierID>
          <RecentPolicyExpirationDate>2026-07-04T18:35:41.4319934+00:00</RecentPolicyExpirationDate>
          <RelationID>1</RelationID>
          <RequireSR22>sample string 1</RequireSR22>
          <RestrictedLicense>true</RestrictedLicense>
          <SR22CaseNumber>sample string 2</SR22CaseNumber>
          <SeniorDiscount>sample string 4</SeniorDiscount>
          <SuspendedLicense>false</SuspendedLicense>
          <YearsLicensedInState>1</YearsLicensedInState>
        </PersonalDriversDetails>
        <PersonalDriversDetails>
          <ActiveOrRetiredFromMilitary>Active</ActiveOrRetiredFromMilitary>
          <AgeWhenFirstLicensed>1</AgeWhenFirstLicensed>
          <CompletedDriverTrainingInLast3Years>Yes</CompletedDriverTrainingInLast3Years>
          <CompletionDateAccidentPrevention>2026-07-04T18:35:41.4319934+00:00</CompletionDateAccidentPrevention>
          <ContinuosInsuranceLess31Days>yes</ContinuosInsuranceLess31Days>
          <CoverageCancelledNonRenewedDeclinedLast3Years>sample string 9</CoverageCancelledNonRenewedDeclinedLast3Years>
          <CreditStatus>sample string 7</CreditStatus>
          <DOB>2026-07-04T18:35:41.4303831+00:00</DOB>
          <DateSuspension>2026-07-04T18:35:41.4319934+00:00</DateSuspension>
          <DriverID>101</DriverID>
          <EducationLevel>sample string 6</EducationLevel>
          <EmailAddresses>sample string 10</EmailAddresses>
          <Excluded>false</Excluded>
          <FirstName>John</FirstName>
          <Gender>Male</Gender>
          <GoodStudentDiscount>sample string 3</GoodStudentDiscount>
          <GroupDiscountAAA>sample string 5</GroupDiscountAAA>
          <IsNamedInsured>true</IsNamedInsured>
          <LastName>Doe</LastName>
          <LearnersPermit>false</LearnersPermit>
          <LicenseStateCode>CO</LicenseStateCode>
          <LicenseStatus>Valid</LicenseStatus>
          <MVRPoints>10</MVRPoints>
          <MaritalStatus>Single</MaritalStatus>
          <MiddleName>A</MiddleName>
          <MonthsContinuosCoverageWithoutLapse>1</MonthsContinuosCoverageWithoutLapse>
          <MonthsRecentInsuranceCarrier>1</MonthsRecentInsuranceCarrier>
          <NumberLapsesInMostRecent12Months>1</NumberLapsesInMostRecent12Months>
          <NumberOfIncidentslast7Years>1</NumberOfIncidentslast7Years>
          <OccupationID>1</OccupationID>
          <PhoneNumbers>123-456-7890</PhoneNumbers>
          <PolicyDetailsID>2002</PolicyDetailsID>
          <ReasonNotAutoInsuranceID>1</ReasonNotAutoInsuranceID>
          <RecentBI>sample string 8</RecentBI>
          <RecentInsuranceCarrierID>1</RecentInsuranceCarrierID>
          <RecentPolicyExpirationDate>2026-07-04T18:35:41.4319934+00:00</RecentPolicyExpirationDate>
          <RelationID>1</RelationID>
          <RequireSR22>sample string 1</RequireSR22>
          <RestrictedLicense>true</RestrictedLicense>
          <SR22CaseNumber>sample string 2</SR22CaseNumber>
          <SeniorDiscount>sample string 4</SeniorDiscount>
          <SuspendedLicense>false</SuspendedLicense>
          <YearsLicensedInState>1</YearsLicensedInState>
        </PersonalDriversDetails>
      </Drivers>
      <PolicyId>3434</PolicyId>
      <QQTenantID>2345</QQTenantID>
    </PersonalDriverInfo>
  </Data>
  <PageNumber>1</PageNumber>
  <PageSize>100</PageSize>
  <TotalItems>500</TotalItems>
  <TotalPages>5</TotalPages>
</EnterprisePersonalDriversData>